## kx11grab 0.1.12

=== CMakeLists.txt ===
####################################################################
## Author: Juergen Heinemann http://qx11grab.hjcms.de, (C) 2007-2009
## Copyright: See COPYING file that comes with this distribution
####################################################################
PROJECT(kx11grab)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

# CMP0002: we have multiple targets with the same name for the unit tests
CMAKE_POLICY(SET CMP0002 OLD)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(KDE4Workspace REQUIRED)
INCLUDE(KDE4Defaults)
FIND_PACKAGE(Automoc4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

ADD_DEFINITIONS( ${KDE4_DEFINITIONS} )
REMOVE_DEFINITIONS(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)
REMOVE_DEFINITIONS(-DKDE3_SUPPORT_WARNINGS -DKDE3_SUPPORT)

SET(KX11GRAB_MAJOR_VERSION "0")
SET(KX11GRAB_MINOR_VERSION "1")
SET(KX11GRAB_PATCH_VERSION "12")
SET(KX11GRAB_VERSION "${KX11GRAB_MAJOR_VERSION}.${KX11GRAB_MINOR_VERSION}.${KX11GRAB_PATCH_VERSION}")

SET(KX11GRAB_INCS kx11grab
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/src
  ${CMAKE_CURRENT_SOURCE_DIR}/src
)

CONFIGURE_FILE(kx11grab.spec.cmake ${CMAKE_CURRENT_SOURCE_DIR}/kx11grab.spec)
CONFIGURE_FILE(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
CONFIGURE_FILE(kx11grab.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kx11grab.desktop)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/kx11grab.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)

##eof

=== po/CMakeLists.txt ===
####################################################################
## Author: Juergen Heinemann http://qx11grab.hjcms.de, (C) 2007-2009
## Copyright: See COPYING file that comes with this distribution
####################################################################

SET(kx11grab_linguas
  de
)

FOREACH(lingua ${kx11grab_linguas})
  EXEC_PROGRAM(${GETTEXT_MSGFMT_EXECUTABLE}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ARGS ${lingua}.po -o ${CMAKE_CURRENT_BINARY_DIR}/${lingua}.gmo
  )
ENDFOREACH(lingua)

GETTEXT_CREATE_TRANSLATIONS (kx11grab.pot ${kx11grab_linguas} )

##eof

=== src/CMakeLists.txt ===
####################################################################
## Author: Juergen Heinemann http://qx11grab.hjcms.de, (C) 2007-2009
## Copyright: See COPYING file that comes with this distribution
####################################################################

## KDE4_ADD_UI_FILES(ui_qx11grabmain qx11grabmain.ui)
KDE4_ADD_UI_FILES(ui_settingsdialogform settingsdialogform.ui)

QT4_ADD_DBUS_ADAPTOR(kx11grab_ADAPTORS
  kx11grab.xml
  qx11grab.h
  QX11Grab
  kx11grabadaptor
)

SET(kx11grab_HEADERS
  qx11grabmain.h
  qx11grab.h
  settings.h
  screencombobox.h
  desktopinfo.h
  windowgrabber.h
  rubberband.h
  settingsdialog.h
  settingspageone.h
  settingspagetwo.h
  ffprocess.h
)

SET(kx11grab_SOURCES
  main.cpp
  qx11grabmain.cpp
  qx11grab.cpp
  settings.cpp
  screencombobox.cpp
  desktopinfo.cpp
  windowgrabber.cpp
  rubberband.cpp
  settingsdialog.cpp
  settingspageone.cpp
  settingspagetwo.cpp
  ffprocess.cpp
)

INSTALL(PROGRAMS 
  ${CMAKE_CURRENT_BINARY_DIR}/kx11grab
  DESTINATION ${EXEC_INSTALL_PREFIX}/bin
)

INCLUDE_DIRECTORIES( ${KX11GRAB_INCS} ${KDE4_INCLUDES})

KDE4_MOC_HEADERS(kx11grab ${kx11grab_HEADERS} )

KDE4_ADD_EXECUTABLE(kx11grab 
  ${kx11grab_SOURCES}
  ${kx11grab_ADAPTORS}
  ${ui_qx11grabmain}
  ${ui_settingsdialogform}
)

## BUGFIX:
##  OpenSuSE 11.0 libQtNetwork.so.4: undefined reference to `QObjectPrivate::checkWindowRole()
TARGET_LINK_LIBRARIES(kx11grab
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KDEDBUS_LIBS}
  ${QT_QTNETWORK_LIBRARY}
)

SET(kx11grab_icons
  ox32-app-kx11grab.png
  ox64-app-kx11grab.png
)

KDE4_INSTALL_ICONS(${ICON_INSTALL_DIR})

##eof

=== debian/changelog ===
kx11grab (0.1.12-0ubuntu3) oneiric; urgency=low

  [ Kyle Williams ]
  * Add missing build dependency on libx11-dev. LP: #831105

  [ Stefano Rivera ]
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * wrap-and-sort debian/control.
  * Rephrase package description to please lintian.
  * Tweak wording in debian/copyright.
  * Depend on ffmpeg.

 -- Kyle Williams <kwilliams@cs.uct.ac.za>  Sun, 04 Sep 2011 00:57:56 +0200

kx11grab (0.1.12-0ubuntu2) natty; urgency=low

  * Add kubuntu_01_linker_fix.diff to fix linking with ld's --as-needed flag
    enabled.
  * Switch to source format 3.0:
    - Bump required debhelper version to 7.3.16
    - Bump debian/compat to 7
  * Switch from debian-qt-kde.mk to the dh7 kde sequence from pkg-kde-tools:
    - Bump build-depend version on pkg-kde-tools to >= 0.5.0
    - Remove cdbs build dependency
  * Bump Standards-Version to 3.9.1:
    - Add a dependency on ${misc:Depends} to kx11grab

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 10:24:52 -0500

kx11grab (0.1.12-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #522427)
  * Changed some stuff to please the MOTU gods.

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Tue, 16 Feb 2010 00:38:31 -0200

=== debian/control ===
Source: kx11grab
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends:
 cmake,
 debhelper (>= 7.3.16),
 kdebase-workspace-dev,
 kdelibs5-dev,
 libx11-dev,
 pkg-kde-tools (>= 0.5.0)
Standards-Version: 3.9.2
Homepage: http://qx11grab.hjcms.de/

Package: kx11grab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ffmpeg
Description: systray program that uses FFmpeg for recording X11 desktop windows
 This program grabs window dimensions with xevent and prepares a command line
 for ffmpeg with configuration options. It sends the generated parameter list
 to a new FFmpeg process.
 .
 qx11grab doesn't record itself, it just prepare commands for FFmpeg.

## kx11grab 0.4.4~rc3

=== CMakeLists.txt ===
# CMakeLists.txt
##############################################################
PROJECT (qx11grab)

CMAKE_MINIMUM_REQUIRED (VERSION 2.8.0 FATAL_ERROR)
ENABLE_LANGUAGE (CXX)

IF (CMAKE_VERSION STREQUAL 2.8.4)
  CMAKE_POLICY (SET CMP0017 OLD)
ENDIF (CMAKE_VERSION STREQUAL 2.8.4)
SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")

##############################################################
## Main Dependeces
##############################################################
SET (QT_MIN_VERSION 4.7.2)
FIND_PACKAGE (Qt4 REQUIRED)
FIND_PACKAGE (Qt4 COMPONENTS QTDBUS QTXML QTNETWORK)
FIND_PACKAGE (PkgConfig REQUIRED)
FIND_PACKAGE (ALSA REQUIRED)
FIND_PACKAGE (FFmpeg REQUIRED)
FIND_PACKAGE (V4L2)

## Disable KDE4 Framework Support
OPTION (ENABLE_KDE_SUPPORT "Enable KDE4 Environment (ON/OFF)" OFF)
IF (ENABLE_KDE_SUPPORT)
  FIND_PACKAGE (KDE4 4.5.0)
  IF (KDE4_FOUND)
    ADD_DEFINITIONS (-DHAVE_KDE4_SUPPORT)
  ENDIF (KDE4_FOUND)
ENDIF (ENABLE_KDE_SUPPORT)

OPTION (INSTALL_EXTRA_FFPRESETS "Install extra FFmpeg ffpresets (ON/OFF)" OFF)

IF (NOT UNIX)
  MESSAGE (FATAL_ERROR "Only Unix is Supported!")
ENDIF (NOT UNIX)

##############################################################
## Set qx11grab Specific Information
##############################################################

SET (QX11GRAB_VERSION_MAJOR 0)
SET (QX11GRAB_VERSION_MINOR 4)
SET (QX11GRAB_VERSION_RELEASE 4)
SET (QX11GRAB_VERSION_DEVELOPMENT "rc3")
SET (QX11GRAB_VERSION "${QX11GRAB_VERSION_MAJOR}.${QX11GRAB_VERSION_MINOR}.${QX11GRAB_VERSION_RELEASE}${QX11GRAB_VERSION_DEVELOPMENT}")
SET (QX11GRAB_DBUS_DOMAIN_NAME "de.hjcms.qx11grab")
# If Git is installed and a '.git' directory is found,
# we append the Git revision to QX11GRAB_VERSION
IF(EXISTS "${qx11grab_SOURCE_DIR}/.git")
  FIND_PROGRAM (GIT_EXECUTABLE NAMES git)
  IF (GIT_EXECUTABLE)
    SET (qx11grab_git_revision "")
    MESSAGE (STATUS "Found git: ${GIT_EXECUTABLE}")
    EXECUTE_PROCESS (COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
      WORKING_DIRECTORY ${qx11grab_SOURCE_DIR}
      OUTPUT_VARIABLE qx11grab_git_revision
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    SET (QX11GRAB_VERSION "${QX11GRAB_VERSION}.git(${qx11grab_git_revision})")
  ENDIF (GIT_EXECUTABLE)
ENDIF (EXISTS "${qx11grab_SOURCE_DIR}/.git")

##############################################################
## Set Header Definitions
##############################################################

INCLUDE (CheckCXXCompilerFlag)
INCLUDE (MacroEnsureVersion)

##############################################################
## Compile Optimisation
##############################################################
INCLUDE (CheckingGNUCXX)

SET (QX11GRAB_LDFLAGS "" CACHE STRING "additional project linker flags")

IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
  SET (QX11GRAB_LDFLAGS "-Wl,--build-id")
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

IF (CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  SET (QX11GRAB_LDFLAGS "-Wl,--build-id")
ENDIF (CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")

OPTION (BUILD_WERROR "Build with -Werror" OFF)
IF(BUILD_WERROR)
  SET (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror")
ENDIF (BUILD_WERROR)

SET (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQX11GRAB_DEBUG")
SET (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wno-deprecated-declarations -Wno-unused-result -Wno-unused-parameter -Wno-unused-but-set-variable")
SET (CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} ${CMAKE_CXX_FLAGS_RELEASE}")
SET (CMAKE_CXX_FLAGS_MINSIZEREL "${CMAKE_CXX_FLAGS_MINSIZEREL} ${CMAKE_CXX_FLAGS_RELEASE}")

REMOVE_DEFINITIONS (
  -DQT3_SUPPORT_WARNINGS
  -DQT3_SUPPORT
)

## Enable Q4 OpenGL Support
OPTION (ENABLE_OPENGL "Enable Q4 OpenGL Support (ON/OFF)" OFF)
IF (ENABLE_OPENGL)
  SET (QT_USE_QTOPENGL_DEPENDS 1)
  ADD_DEFINITIONS (-DHAVE_OPENGL)
ENDIF (ENABLE_OPENGL)

## Enable Q4 OpenGL Support
OPTION (ENABLE_EXPERIMENTAL "Enable Experimental Code (ON/OFF)" OFF)
IF (ENABLE_EXPERIMENTAL)
  ADD_DEFINITIONS (-DENABLE_EXPERIMENTAL)
ENDIF (ENABLE_EXPERIMENTAL)

##############################################################
## SET Working output Directory
##############################################################

SET (ARCHIVE_OUTPUT_PATH
  ${CMAKE_CURRENT_BINARY_DIR}/app
)

SET (EXECUTABLE_OUTPUT_PATH
  ${CMAKE_CURRENT_BINARY_DIR}/app
)

SET (LIBRARY_OUTPUT_PATH
  ${CMAKE_CURRENT_BINARY_DIR}/app
)

SET (PLUGIN_OUTPUT_PATH
  ${CMAKE_CURRENT_BINARY_DIR}/app/plugins
)

##############################################################
## FFmpeg Filters
##############################################################
FFMPEG_FILTER_EXISTS ("fade" ENABLE_FADE_FILTER)
FFMPEG_FILTER_EXISTS ("setdar" ENABLE_SETDAR_FILTER)
FFMPEG_FILTER_EXISTS ("movie" ENABLE_WATERMARK_FILTER)
FFMPEG_FILTER_EXISTS ("drawtext" ENABLE_DRAWTEXT_FILTER)
FFMPEG_FILTER_EXISTS ("overlay" ENABLE_WEBCAM_FILTER)
IF (ENABLE_DRAWTEXT_FILTER)
  PKG_CHECK_MODULES (FONTS REQUIRED freetype2>=2.4.0 fontconfig>=2.4.0)
  IF (NOT FONTS_FOUND)
    MESSAGE (FATAL_ERROR "freetype2 or fontconfig not found but drawtext filter enabled")
  ENDIF (NOT FONTS_FOUND)
ENDIF (ENABLE_DRAWTEXT_FILTER)

IF (ENABLE_EXPERIMENTAL)
  IF (ENABLE_WEBCAM_FILTER AND NOT V4L2_FOUND)
    SET (ENABLE_WEBCAM_FILTER FALSE)
  ENDIF (ENABLE_WEBCAM_FILTER AND NOT V4L2_FOUND)
ELSE (ENABLE_EXPERIMENTAL)
  SET (ENABLE_WEBCAM_FILTER FALSE)
ENDIF (ENABLE_EXPERIMENTAL)

##############################################################
## PulseAudio 
##############################################################
OPTION (ENABLE_PULSE "Enable PulseAudio Support (ON/OFF)" ON)
IF (ENABLE_PULSE)
  SET (PULSE_SUFFIX "" CACHE STRING
    "pulse pkg-config or library file suffix (STRING)"
  )

  SET (PULSE_VERSION "0.9" CACHE STRING
    "Required libpulse${PULSE_SUFFIX} Version" FORCE
  )

  PKG_CHECK_MODULES (PULSE 
    libpulse${PULSE_SUFFIX}>=${PULSE_VERSION}
  )

  IF (PULSE_FOUND)
    ADD_DEFINITIONS (-DHAVE_PULSE)
  ENDIF (PULSE_FOUND)
ENDIF (ENABLE_PULSE)

##############################################################
## Xorg 
##############################################################

PKG_CHECK_MODULES (XLIBS REQUIRED x11>=1.3.4 xrandr>=1.3)
IF (NOT XLIBS_FOUND)
  MESSAGE (FATAL_ERROR "X11 or XRandr not found")
ENDIF (NOT XLIBS_FOUND)

##############################################################
## DBus-1
## The current stable branch is 1.4.x
## http://www.freedesktop.org/wiki/Software/dbus
##############################################################

PKG_CHECK_MODULES (DBUS REQUIRED dbus-1>=1.4.12)
IF (DBUS_FOUND)
  SET (_dbus_interfaces_dir "")
  EXECUTE_PROCESS (COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=interfaces_dir dbus-1
    OUTPUT_VARIABLE _dbus_interfaces_dir
    RESULT_VARIABLE _dbus_interfaces_dir_result
    ERROR_VARIABLE _dbus_interfaces_dir_error
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  SET (DBUS_INTERFACES_DIR "${_dbus_interfaces_dir}" CACHE PATH "DBus Interfaces Directory" FORCE)

  SET (_dbus_services_dir "")
  EXECUTE_PROCESS (COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=session_bus_services_dir dbus-1
    OUTPUT_VARIABLE _dbus_services_dir
    RESULT_VARIABLE _dbus_services_dir_result
    ERROR_VARIABLE _dbus_services_dir_error
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  SET (DBUS_SERVICES_DIR "${_dbus_services_dir}" CACHE PATH "DBus Services Directory" FORCE)
ELSE (DBUS_FOUND)
  MESSAGE (FATAL_ERROR "DBus not found")
ENDIF (DBUS_FOUND)


FIND_PROGRAM (INKSCAPE_BINARY NAMES inkscape)
IF (INKSCAPE_BINARY)
  MESSAGE (STATUS "Extra Theme Pixmaps")
ELSE (INKSCAPE_BINARY)
  MESSAGE (WARNING "Missing Inkscape for building extra icons!")
ENDIF (INKSCAPE_BINARY)

##############################################################
## INCLUDES
##############################################################

## QT_HEADERS_DIR
SET (QX11GRAB_INCLUDES
  ${QT_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/src
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${FFMPEG_INCLUDEDIR}
  ${ALSA_INCLUDE_DIR}
  ${FFMPEG_INCLUDEDIR}
  ${PULSE_INCLUDEDIR}
)

##############################################################
## LINKER PATHS
##############################################################

SET (QX11GRAB_LIBRARIES
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
)

IF (ENABLE_OPENGL)
  SET (QX11GRAB_LIBRARIES ${QX11GRAB_LIBRARIES} ${QT_QTOPENGL_LIBRARY})
ENDIF (ENABLE_OPENGL)

##############################################################
## KDE4 Framework Support
##############################################################

IF (KDE4_FOUND)
  SET (QX11GRAB_INCLUDES
    ${QX11GRAB_INCLUDES}
    ${KDE4_INCLUDE_DIR}
  )
  SET (QX11GRAB_LIBRARIES
    ${QX11GRAB_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${KDE4_KDEUI_LIBRARY}
  )
  ADD_DEFINITIONS ("-DHAVE_KDE4_SUPPORT")
ENDIF (KDE4_FOUND)

##############################################################
## Configure Source Files
##############################################################

CONFIGURE_FILE (src/version.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
)

##############################################################
## Manpages
##############################################################

CONFIGURE_FILE (qx11grab.de.1.cmake
  ${ARCHIVE_OUTPUT_PATH}/qx11grab.de.1
)

INSTALL (FILES
  ${ARCHIVE_OUTPUT_PATH}/qx11grab.de.1
  RENAME qx11grab.1
  DESTINATION share/man/de/man1/
  COMPONENT data
)

CONFIGURE_FILE (qx11grab.1.cmake
  ${ARCHIVE_OUTPUT_PATH}/qx11grab.1
)

INSTALL (FILES
  ${ARCHIVE_OUTPUT_PATH}/qx11grab.1
  DESTINATION share/man/man1/
  COMPONENT data
)

##############################################################
## Desktop File
##############################################################

CONFIGURE_FILE (qx11grab.desktop.cmake
  ${ARCHIVE_OUTPUT_PATH}/qx11grab.desktop
)

INSTALL (FILES
  ${ARCHIVE_OUTPUT_PATH}/qx11grab.desktop
  DESTINATION share/applications
  COMPONENT core
)

##############################################################
## RPM/PKGBUILD Helper
##############################################################

CONFIGURE_FILE (qx11grab.spec.cmake qx11grab.spec)

##############################################################
## SUBDIRECTORIES
##############################################################
ADD_SUBDIRECTORY (src)
IF (QT_LRELEASE_EXECUTABLE)
  ADD_SUBDIRECTORY (i18n)
ENDIF (QT_LRELEASE_EXECUTABLE)
ADD_SUBDIRECTORY (icons)
ADD_SUBDIRECTORY (ffpresets)
IF (INKSCAPE_BINARY)
  ADD_SUBDIRECTORY (svg)
ENDIF (INKSCAPE_BINARY)

##############################################################
## LGPL/GPL3 Exceptions
##############################################################

INSTALL (FILES
  NEWS
  README
  AUTHORS
  ChangeLog
  COPYING
  DESTINATION share/${CMAKE_PROJECT_NAME}
  COMPONENT data
)

##############################################################
## CPack
##############################################################
INCLUDE (QX11Grab.cpack)

##############################################################
## Summary
##############################################################

MACRO (summary status info optional)
  IF (${status})
    MESSAGE(STATUS " ${info} found")
  ELSEIF (${optional})
    MESSAGE(STATUS " ${info} disabled")
  ELSE (${status})
    MESSAGE(STATUS " ${info} failed")
  ENDIF (${status})
ENDMACRO (summary)

MESSAGE ("")
MESSAGE ("Configuration summary for:")
MESSAGE (STATUS "${CMAKE_PROJECT_NAME} Install Directory ${CMAKE_INSTALL_PREFIX}")
MESSAGE (STATUS "Install DBus Interface spec to ${DBUS_INTERFACES_DIR}")
MESSAGE (STATUS "Install DBus Service spec to ${DBUS_SERVICES_DIR}")
MESSAGE (STATUS "Install ffpreset to ${FFMPEG_SHAREDIR}")
IF (INSTALL_EXTRA_FFPRESETS)
  MESSAGE (STATUS "Install extra FFmpeg ffpresets to ${FFMPEG_SHAREDIR}")
ELSE (INSTALL_EXTRA_FFPRESETS)
  MESSAGE (STATUS "Install extra FFmpeg ffpresets disabled")
ENDIF (INSTALL_EXTRA_FFPRESETS)
MESSAGE ("")
MESSAGE ("Required Packages:")
summary (FFMPEG_FOUND "FFmpeg" FALSE)

=== ffpresets/CMakeLists.txt ===
# CMakeLists.txt

SET (FFPRESET_FILES "libx264-QX11Grab.ffpreset")

IF (INSTALL_FFPRESETS AND FFMPEG_SHAREDIR)
  FILE(GLOB FFPRESET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.ffpreset")
ENDIF (INSTALL_FFPRESETS AND FFMPEG_SHAREDIR)

INSTALL (FILES ${FFPRESET_FILES}
  DESTINATION ${FFMPEG_SHAREDIR}
  COMPONENT ffpreset
)

## EOF

=== i18n/CMakeLists.txt ===
# CMakeLists.txt

SET (single_file_lng
  lt
  sr_RS
)

## merge with qt_*.ts
SET (multi_file_lng
  de
  cs
)

EXECUTE_PROCESS (COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_TRANSLATIONS
OUTPUT_VARIABLE INSTALL_TRANSLATIONS
)

MESSAGE ("")
MESSAGE ("Install Translations to: ${QT_TRANSLATIONS_DIR}")

FILE (MAKE_DIRECTORY ${ARCHIVE_OUTPUT_PATH})
FOREACH (lng ${single_file_lng})
  EXECUTE_PROCESS (COMMAND ${QT_LRELEASE_EXECUTABLE} -compress -silent -nounfinished ${CMAKE_CURRENT_SOURCE_DIR}/qx11grab_${lng}.ts -qm ${ARCHIVE_OUTPUT_PATH}/qx11grab_${lng}.qm)
  MESSAGE (STATUS "qx11grab_${lng}.qm")
ENDFOREACH (lng)

FOREACH (lng ${multi_file_lng})
  EXECUTE_PROCESS (COMMAND ${QT_LRELEASE_EXECUTABLE} -compress -silent -nounfinished ${CMAKE_CURRENT_SOURCE_DIR}/qt_${lng}.ts ${CMAKE_CURRENT_SOURCE_DIR}/qx11grab_${lng}.ts -qm ${ARCHIVE_OUTPUT_PATH}/qx11grab_${lng}.qm)
  MESSAGE (STATUS "qx11grab_${lng}.qm")
ENDFOREACH (lng)

FILE(GLOB QM_FILES "${ARCHIVE_OUTPUT_PATH}/qx11grab_*.qm")
INSTALL (FILES ${QM_FILES}
  DESTINATION ${QT_TRANSLATIONS_DIR}
  COMPONENT translation
)

INSTALL (FILES
  qx11grab_untranslated.ts
  DESTINATION share/qx11grab
  COMPONENT translation
)

## EOF

=== icons/CMakeLists.txt ===
## CMakeLists.txt

SET (icon_sizes 192 128 96 64 48 36 32 24 22 16)

FOREACH(s ${icon_sizes})
  INSTALL (FILES
    qx11grab_${s}.png
    DESTINATION share/icons/hicolor/${s}x${s}/apps/
    RENAME qx11grab.png
    COMPONENT data
  )
ENDFOREACH(s)

INSTALL (FILES
  qx11grab.svgz
  DESTINATION share/icons/hicolor/scalable/apps/
  COMPONENT data
)

## Pixmaps
INSTALL (FILES
  qx11grab_36.png
  DESTINATION share/pixmaps/
  RENAME qx11grab.png
  COMPONENT core
)

##EOF

=== src/CMakeLists.txt ===
# CMakeLists.txt

SET (QX11GRAB_BINARY_PROJECT_INCULDE
  ${QX11GRAB_INCLUDES}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/messanger
  ${CMAKE_CURRENT_SOURCE_DIR}/messanger
  ${CMAKE_CURRENT_BINARY_DIR}/avoptions
  ${CMAKE_CURRENT_SOURCE_DIR}/avoptions
  ${CMAKE_CURRENT_BINARY_DIR}/audio
  ${CMAKE_CURRENT_SOURCE_DIR}/audio
  ${CMAKE_CURRENT_BINARY_DIR}/settings
  ${CMAKE_CURRENT_SOURCE_DIR}/settings
  ${CMAKE_CURRENT_BINARY_DIR}/tapping
  ${CMAKE_CURRENT_SOURCE_DIR}/tapping
  ${CMAKE_CURRENT_BINARY_DIR}/utils
  ${CMAKE_CURRENT_SOURCE_DIR}/utils
  ${CMAKE_CURRENT_BINARY_DIR}/ffprocess
  ${CMAKE_CURRENT_SOURCE_DIR}/ffprocess
  ${CMAKE_CURRENT_BINARY_DIR}/tableeditor
  ${CMAKE_CURRENT_SOURCE_DIR}/tableeditor
  ${CMAKE_CURRENT_BINARY_DIR}/logviewer
  ${CMAKE_CURRENT_SOURCE_DIR}/logviewer
  ${CMAKE_CURRENT_BINARY_DIR}/cmd
  ${CMAKE_CURRENT_SOURCE_DIR}/cmd
  ${CMAKE_CURRENT_BINARY_DIR}/preseteditor
  ${CMAKE_CURRENT_SOURCE_DIR}/preseteditor
  ${CMAKE_CURRENT_BINARY_DIR}/bookmark
  ${CMAKE_CURRENT_SOURCE_DIR}/bookmark
  ${CMAKE_CURRENT_BINARY_DIR}/filters
  ${CMAKE_CURRENT_SOURCE_DIR}/filters
)

ADD_SUBDIRECTORY (messanger)
ADD_SUBDIRECTORY (avoptions)
ADD_SUBDIRECTORY (audio)
ADD_SUBDIRECTORY (settings)
ADD_SUBDIRECTORY (tapping)
ADD_SUBDIRECTORY (utils)
ADD_SUBDIRECTORY (ffprocess)
ADD_SUBDIRECTORY (tableeditor)
ADD_SUBDIRECTORY (logviewer)
ADD_SUBDIRECTORY (cmd)
ADD_SUBDIRECTORY (preseteditor)
ADD_SUBDIRECTORY (bookmark)
ADD_SUBDIRECTORY (filters)

SET (qx11grab_INTERFACE
  ${QX11GRAB_DBUS_DOMAIN_NAME}.xml
)

SET (qx11grab_SOURCES
  main.cpp
  application.cpp
  menubar.cpp
  toolbar.cpp
  mainwindow.cpp
  systemtray.cpp
  adaptor.cpp
  exportdialog.cpp
  playeraction.cpp
  aboutdialog.cpp
  navigator.cpp
)

SET (qx11grab_HEADERS
  application.h
  menubar.h
  toolbar.h
  mainwindow.h
  systemtray.h
  adaptor.h
  exportdialog.h
  playeraction.h
  aboutdialog.h
  navigator.h
)

QT4_WRAP_CPP (qx11grab_MOC ${qx11grab_HEADERS})

INCLUDE_DIRECTORIES (${QX11GRAB_BINARY_PROJECT_INCULDE})

QT4_ADD_RESOURCES (qx11grab_RESRC qx11grab.qrc)

ADD_EXECUTABLE (${CMAKE_PROJECT_NAME}
  ${qrc_rcresource}
  ${qx11grab_RESRC}
  ${qx11grab_MOC}
  ${qx11grab_HEADERS}
  ${qx11grab_SOURCES}
)

TARGET_LINK_LIBRARIES (${CMAKE_PROJECT_NAME}
  Messanger
  Settings
  TableEditor
  LogViewer
  Cmd
  AVOptions
  Audio
  Tapping
  Utils
  FFProcess
  PresetEditor
  Bookmark
  ${QX11GRAB_LIBRARIES}
  qx11grabinterface
)

SET_TARGET_PROPERTIES (${CMAKE_PROJECT_NAME} PROPERTIES
  LINKER_LANGUAGE CXX
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS} ${APP_PIE_CXXFLAGS}"
  LINK_FLAGS "${APP_PIE_LDFLAGS} -Wl,--as-needed ${QX11GRAB_LDFLAGS}"
)

INSTALL (TARGETS ${CMAKE_PROJECT_NAME}
  DESTINATION bin
  COMPONENT core
)

##############################################################
## DBUS Interface/Service Files
##############################################################

IF (DBUS_FOUND)

FILE (WRITE ${ARCHIVE_OUTPUT_PATH}/${QX11GRAB_DBUS_DOMAIN_NAME}.service
"[D-BUS Service]
Name=${QX11GRAB_DBUS_DOMAIN_NAME}
Exec=${CMAKE_INSTALL_PREFIX}/bin/${CMAKE_PROJECT_NAME}
"
)

INSTALL (FILES
  ${ARCHIVE_OUTPUT_PATH}/${QX11GRAB_DBUS_DOMAIN_NAME}.service
  DESTINATION ${DBUS_SERVICES_DIR}
  COMPONENT dbus
)

INSTALL (FILES
  ${qx11grab_INTERFACE}
  DESTINATION ${DBUS_INTERFACES_DIR}
  COMPONENT dbus
)

ENDIF (DBUS_FOUND)

## EOF

=== svg/CMakeLists.txt ===
## CMakeLists.txt

SET (_noinst_templates
  qx11grab_template.svg
  positions_template.svg
)

SET (_position_templates
  position_bottom_center
  position_bottom_left
  position_bottom_rigth
  position_middle_center
  position_middle_left
  position_middle_right
  position_top_center
  position_top_left
  position_top_right
  position_unknown
)

FILE (MAKE_DIRECTORY ${ARCHIVE_OUTPUT_PATH})
FOREACH(tpl ${_position_templates})
  EXECUTE_PROCESS (COMMAND ${INKSCAPE_BINARY} --export-png=${ARCHIVE_OUTPUT_PATH}/${tpl}.png --without-gui --vacuum-defs --export-dpi=72 --export-width=48 --export-height=48 --export-background=ffffffff ${CMAKE_CURRENT_SOURCE_DIR}/${tpl}.svg)
  INSTALL (FILES
    ${ARCHIVE_OUTPUT_PATH}/${tpl}.png
    DESTINATION share/pixmaps/qx11grab/
    COMPONENT data
  )
ENDFOREACH(tpl)

##EOF

=== src/audio/CMakeLists.txt ===
# CMakeLists.txt

SET(_subproject "Audio")

SET (_subproject_SOURCES
  audiodevicewidget.cpp
  abstractaudiodialog.cpp
  alsaaudiodialog.cpp
  opensounddialog.cpp
  audiodevice.cpp
)

SET (_subproject_HEADERS
  audiodevicewidget.h
  abstractaudiodialog.h
  alsaaudiodialog.h
  opensounddialog.h
)

IF (PULSE_FOUND)

SET (_subproject_SOURCES
  ${_subproject_SOURCES}
  pulseaudiodialog.cpp
)

SET (_subproject_HEADERS
  ${_subproject_HEADERS}
  pulseaudiodialog.h
)

ENDIF (PULSE_FOUND)

SET (_subproject_NOMOC_HEADERS
  audiodevice.h
)

QT4_WRAP_CPP (_subproject_MOC ${_subproject_HEADERS})

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
)

ADD_LIBRARY (${_subproject} STATIC
  ${_subproject_MOC}
  ${_subproject_HEADERS}
  ${_subproject_NOMOC_HEADERS}
  ${_subproject_SOURCES}
)

SET_TARGET_PROPERTIES (${_subproject} PROPERTIES
  LINKER_LANGUAGE CXX
  OUTPUT_NAME ${_subproject}
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${LIB_FPIC_LDFLAGS} ${APP_PIE_LDFLAGS}"
)

TARGET_LINK_LIBRARIES (${_subproject}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${ALSA_LIBRARY}
  ${PULSE_LDFLAGS}
)

## EOF

=== src/avoptions/CMakeLists.txt ===
# CMakeLists.txt

SET(_subproject "AVOptions")

SET (options_XML
  options/libvpx.xml
  options/libx264.xml
  options/options.dtd
)

SET (_subproject_SOURCES
  avoptions.cpp
  avfiltermodel.cpp
  codecselecter.cpp
  formatmenu.cpp
  codecoptions.cpp
  ffoptionsmenu.cpp
  optionsfinder.cpp
  avfilteritem.cpp
)

SET (_subproject_HEADERS
  avoptions.h
  codecselecter.h
  formatmenu.h
  codecoptions.h
  ffoptionsmenu.h
)

SET (_subproject_NOMOC_HEADERS
  avfiltermodel.h
  optionsfinder.h
  avfilteritem.h
)

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
)

QT4_WRAP_CPP (_subproject_MOC ${_subproject_HEADERS})

ADD_LIBRARY (${_subproject} STATIC
  ${_subproject_MOC}
  ${_subproject_HEADERS}
  ${_subproject_NOMOC_HEADERS}
  ${_subproject_SOURCES}
)

SET_TARGET_PROPERTIES (${_subproject} PROPERTIES
  LINKER_LANGUAGE CXX
  OUTPUT_NAME ${_subproject}
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${APP_PIE_LDFLAGS}"
)

TARGET_LINK_LIBRARIES (${_subproject}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTXML_LIBRARY}
  ${FFMPEG_LIBRARIES}
)

INSTALL (FILES
  ${options_XML}
  DESTINATION share/qx11grab/options
  COMPONENT data
)

## EOF

=== src/bookmark/CMakeLists.txt ===
# CMakeLists.txt

SET(_subproject "Bookmark")

SET (_subproject_SOURCES
  bookmarkdialog.cpp
  bookmark.cpp
  bookmarkentry.cpp
  bookmarkselecter.cpp
)

SET (_subproject_HEADERS
  bookmarkdialog.h
  bookmarkselecter.h
)

SET (_subproject_NOMOC_HEADERS
  bookmark.h
  bookmarkentry.h
)

QT4_WRAP_CPP (_subproject_MOC ${_subproject_HEADERS})

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
  ${QX11GRAB_BINARY_PROJECT_INCULDE}
)

ADD_LIBRARY (${_subproject} STATIC
  ${_subproject_MOC}
  ${_subproject_HEADERS}
  ${_subproject_NOMOC_HEADERS}
  ${_subproject_SOURCES}
)

SET_TARGET_PROPERTIES (${_subproject} PROPERTIES
  LINKER_LANGUAGE CXX
  OUTPUT_NAME ${_subproject}
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${APP_PIE_LDFLAGS}"
)

TARGET_LINK_LIBRARIES (${_subproject}
  ${QX11GRAB_LIBRARIES}
  ${QT_QTXML_LIBRARY}
)

## EOF

=== src/cmd/CMakeLists.txt ===
# CMakeLists.txt

SET(_subproject "Cmd")

SET (_subproject_SOURCES
  commandlineedit.cpp
  commandpreview.cpp
  createcustomitem.cpp
)

SET (_subproject_HEADERS
  commandlineedit.h
  commandpreview.h
  createcustomitem.h
)

QT4_WRAP_CPP (_subproject_MOC ${_subproject_HEADERS})

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
)

ADD_LIBRARY (${_subproject} STATIC
  ${_subproject_MOC}
  ${_subproject_HEADERS}
  ${_subproject_NOMOC_HEADERS}
  ${_subproject_SOURCES}
)

SET_TARGET_PROPERTIES (${_subproject} PROPERTIES
  LINKER_LANGUAGE CXX
  OUTPUT_NAME ${_subproject}
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${APP_PIE_LDFLAGS}"
)

TARGET_LINK_LIBRARIES (${_subproject}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
)

## EOF

=== src/ffprocess/CMakeLists.txt ===
# CMakeLists.txt

SET(_subproject "FFProcess")

SET (_subproject_SOURCES
  ffprocess.cpp
  listener.cpp
)

SET (_subproject_HEADERS
  ffprocess.h
  listener.h
)

SET (_subproject_NOMOC_HEADERS
)

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
  ${QX11GRAB_BINARY_PROJECT_INCULDE}
)

QT4_WRAP_CPP (_subproject_MOC ${_subproject_HEADERS})

ADD_LIBRARY (${_subproject} STATIC
  ${_subproject_MOC}
  ${_subproject_HEADERS}
  ${_subproject_NOMOC_HEADERS}
  ${_subproject_SOURCES}
)

ADD_DEPENDENCIES (${_subproject} Settings)

SET_TARGET_PROPERTIES (${_subproject} PROPERTIES
  LINKER_LANGUAGE CXX
  OUTPUT_NAME ${_subproject}
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${APP_PIE_LDFLAGS}"
)

TARGET_LINK_LIBRARIES (${_subproject}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  Settings
)

## EOF

=== src/filters/CMakeLists.txt ===
# CMakeLists.txt
#
# QX11Grab Plugin Interface
#

SET (LIB_OUTPUT_NAME "QX11GrabInterface")
SET (QX11GRAB_MODULES_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/qx11grab")

CONFIGURE_FILE (interface.h.cmake 
  ${CMAKE_CURRENT_SOURCE_DIR}/interface.h
)

CONFIGURE_FILE (qx11grab.pc.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/qx11grab.pc
)

SET (interface_SOURCES
  qx11grabplugins.cpp
)

SET (interface_HEADERS
  interface.h
  qx11grabplugins.h
)

QT4_WRAP_CPP (interface_MOC ${interface_HEADERS})

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
)

ADD_LIBRARY (qx11grabinterface STATIC
  ${interface_MOC}
  ${interface_HEADERS}
  ${interface_SOURCES}
)

SET_TARGET_PROPERTIES (qx11grabinterface PROPERTIES
  VERSION "${QX11GRAB_VERSION_MAJOR}.${QX11GRAB_VERSION_MINOR}.${QX11GRAB_VERSION_RELEASE}"
  OUTPUT_NAME ${LIB_OUTPUT_NAME}
  LINKER_LANGUAGE CXX
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${LIB_RDYNAMIC_CXXFLAGS}"
)

TARGET_LINK_LIBRARIES (qx11grabinterface
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTXML_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
)

TARGET_LINK_LIBRARIES (qx11grabinterface
  LINK_INTERFACE_LIBRARIES
  ${QT_QTGUI_LIBRARY}
)

ADD_SUBDIRECTORY (unsharp)

IF (ENABLE_SETDAR_FILTER)
  ADD_SUBDIRECTORY (setdar)
ENDIF (ENABLE_SETDAR_FILTER)

IF (ENABLE_WATERMARK_FILTER)
ADD_SUBDIRECTORY (watermark)
ENDIF (ENABLE_WATERMARK_FILTER)

IF (ENABLE_FADE_FILTER)
  ADD_SUBDIRECTORY (fade)
ENDIF (ENABLE_FADE_FILTER)

IF (ENABLE_DRAWTEXT_FILTER)
  ADD_SUBDIRECTORY (drawtext)
ENDIF (ENABLE_DRAWTEXT_FILTER)

IF (ENABLE_WEBCAM_FILTER)
  ADD_SUBDIRECTORY (webcam)
ENDIF (ENABLE_WEBCAM_FILTER)

## EOF

=== debian/changelog ===
kx11grab (0.4.4~rc3-0ubuntu1) quantal; urgency=low

  * New upstream release candidate:
    - Refresh kubuntu_01_fix_linker.diff
    - Add new build-depends: pkg-config, libasound2-dev, libavformat-dev,
      libavcodec-dev, libavutil-dev, libavfilter-dev, libfreetype6-dev,
      libfontconfig1-dev, libpulse-dev, libxrandr-dev, libv4l-dev
    - Build with -DENABLE_KDE_SUPPORT to retain KDE integration.
  * Bump debhelper version to 9
  * Bump Standards-Version to 3.9.3, no changes necessary

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 May 2012 00:05:08 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,23 @@
 XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
 Build-Depends:
  cmake,
- debhelper (>= 7.3.16),
+ pkg-config,
+ debhelper (>= 9),
  kdebase-workspace-dev,
  kdelibs5-dev,
  libx11-dev,
+ libasound2-dev,
+ libavformat-dev,
+ libavcodec-dev,
+ libavutil-dev,
+ libavfilter-dev,
+ libfreetype6-dev,
+ libfontconfig1-dev,
+ libpulse-dev,
+ libxrandr-dev,
+ libv4l-dev,
  pkg-kde-tools (>= 0.5.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://qx11grab.hjcms.de/
 
 Package: kx11grab

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with-kde

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_KDE_SUPPORT=ON

=== debian/watch ===
version=2
opts=dversionmangle=s/\.dfsg// \
http://qx11grab.hjcms.de/Downloads/kx11grab-(.*)\.tar\.bz2
